﻿
.ssoLoadingIcon {
    width: 50px; /* Adjust as needed */
    height: 50px; /* Adjust as needed */
    background-color: #fff; /* Background color of the icon */
    border-radius: 50%; /* For circular shape */
    border: 3px solid #ccc; /* Border color */
    border-top-color: #2a73be; /* Color of the spinner */
    animation: spin 1s linear infinite; /* Animation for spinning */
    margin-left: auto;
    margin-right: auto;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#ssoDialogModalCreate {
    height: 100px;
    padding-top: 20px;
}

.ssoDialogModalText {
    margin-top: 15px;
    text-align: center;
    font-size: 16px;
}

.ssoLogonErrorTxt {
    text-align: left;
    margin-left: 10px;
    min-height:40px;
}

.ssoGoogle {
    display: flex;
    justify-content: center;
    align-items: center; /* Optional for vertical centering */
}

.sso-btn-primary {
    color: #fff;
    background-color: #337ab7;
    border-color: #2e6da4;
}

.sso-btn {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
}

.messageErrControls {
    text-align: center;
}

.ssoDialogModalConfirm {
    font-size: 0.9em;
}

    .ssoDialogModalConfirm a {
        color: #2a73be !important
    }

.spEmail {
    font-weight: bold;
}

.ssoConfirmInfo {
    margin-top: 5px;
}

.ssoConfirmDesc {
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: 0.8em;
}

.ssoConfirmBtns {
    text-align: center;
}

.ssoConfirmBtns_cancel {
    margin-right: 20px;
    width: 111px;
    background-color: #e1e1e1;
}

#appleid-signin {
    width: 220px;
    height: 44px;
    margin-left: auto;
    margin-right: auto;
}

.ssoApple {
    margin-top: 5px;
}

.btn-continue-with-apple {
    font-synthesis: none;
    -moz-font-feature-settings: kern;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    width: 220px;
    height: 40px;
    position: relative;
    letter-spacing: initial;
    border: solid 1px #dadce0;
    border-radius: 4px;
    margin-right: auto;
    margin-left: auto;
    background-color: white;
    line-height: 35px;
    cursor: pointer;
}

    .btn-continue-with-apple:hover {
        border: solid 1px #d2e3fc;
        /*background: rgba(66, 133, 244, .04);*/
    }

.btn-continue-with-apple-wrapper {
    padding: 2px 10px;
    position: absolute;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    text-align:center;
}

.btn-continue-with-apple-text {
    font-family: Google Sans, arial, sans-serif;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 0.25px;
    float:unset !important;
}

.ssoLoadingIcon {
    width: 50px; /* Adjust as needed */
    height: 50px; /* Adjust as needed */
    background-color: #fff; /* Background color of the icon */
    border-radius: 50%; /* For circular shape */
    border: 3px solid #ccc; /* Border color */
    border-top-color: #2a73be; /* Color of the spinner */
    animation: spin 1s linear infinite; /* Animation for spinning */
    margin-left: auto;
    margin-right: auto;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#ssoDialogModalCreate {
    height: 100px;
    padding-top: 20px;
}

.ssoDialogModalText {
    margin-top: 15px;
    text-align: center;
    font-size: 16px;
}

.ssoLogonErrorTxt {
    text-align: left;
    margin-left: 10px;
}

.ssoGoogle {
    display: flex;
    justify-content: center;
    align-items: center; /* Optional for vertical centering */
}

.sso-btn-primary {
    color: #fff;
    background-color: #337ab7;
    border-color: #2e6da4;
}

.sso-btn {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
}

.messageErrControls {
    text-align: center;
}

.ssoDialogModalConfirm {
    font-size: 0.9em;
}

    .ssoDialogModalConfirm a {
        color: #2a73be !important
    }

.spEmail {
    font-weight: bold;
}

.ssoConfirmInfo {
    margin-top: 5px;
}

.ssoConfirmDesc {
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: 0.8em;
}

.ssoConfirmBtns {
    text-align: center;
}

.ssoConfirmBtns_cancel {
    margin-right: 20px;
    width: 111px;
    background-color: #e1e1e1;
}

#appleid-signin {
    width: 220px;
    height: 44px;
    margin-left: auto;
    margin-right: auto;
}

.ssoApple {
    margin-top: 5px;
}

.btn-continue-with-apple {
    font-synthesis: none;
    -moz-font-feature-settings: kern;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    width: 220px;
    height: 40px;
    position: relative;
    letter-spacing: initial;
    border: solid 1px #dadce0;
    border-radius: 4px;
    margin-right: auto;
    margin-left: auto;
    background-color: white;
    line-height: 35px;
    cursor: pointer;
}

    .btn-continue-with-apple:hover {
        border: solid 1px #d2e3fc;
        /*background: rgba(66, 133, 244, .04);*/
    }

.btn-continue-with-apple-wrapper {
    padding: 2px 10px;
    position: absolute;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
}

.btn-continue-with-apple-text {
    font-family: Google Sans, arial, sans-serif;
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 0.25px;
}
.small-btn {
    height: 28px;
    font-size: 12px !important;
    padding: 6px 20px !important;
    width: 180px;
}
.ui-widget-overlay{z-index:8001 !important;}
.ssoContainer{display:none;}